<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='XML:Basic:DataType' id=''>
  <import-decl name='URI' id='URI' export='no' module='URI'/>
  <import-decl name='Element' id='Element' export='no' module='XML:Basic:Element'/>
  <procedure name='GetIntAttr' id='GetIntAttr' export='yes'>
    <formal-parameters>
      <parameter-decl name='value' id='GetIntAttr.value' export='no' variable-parameter='no'>
        <type>
          <type-name module='Element' name='AttValue' href='XML:Basic:Element#AttValue'/>
        </type>
      </parameter-decl>
      <parameter-decl name='number' id='GetIntAttr.number' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='GetStringLatin1Attr' id='GetStringLatin1Attr' export='yes'>
    <formal-parameters>
      <parameter-decl name='value' id='GetStringLatin1Attr.value' export='no' variable-parameter='no'>
        <type>
          <type-name module='Element' name='AttValue' href='XML:Basic:Element#AttValue'/>
        </type>
      </parameter-decl>
      <parameter-decl name='str' id='GetStringLatin1Attr.str' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='GetURIAttr' id='GetURIAttr' export='yes'>
    <formal-parameters>
      <parameter-decl name='value' id='GetURIAttr.value' export='no' variable-parameter='no'>
        <type>
          <type-name module='Element' name='AttValue' href='XML:Basic:Element#AttValue'/>
        </type>
      </parameter-decl>
      <parameter-decl name='baseURI' id='GetURIAttr.baseURI' export='no' variable-parameter='no'>
        <type>
          <type-name module='URI' name='URI' href='URI#URI'/>
        </type>
      </parameter-decl>
      <parameter-decl name='uri' id='GetURIAttr.uri' export='no' variable-parameter='yes'>
        <type>
          <type-name module='URI' name='URI' href='URI#URI'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='URI'>
    <ref-target type='html' relative-uri='../../URI.html'/>
  </module-ref>
  <module-ref name='XML:Basic:Element'>
    <ref-target type='html' relative-uri='Element.html'/>
  </module-ref>
</interface-description>
